#  Created by Matt Ritzman 7/4/2009
#  This plugin changes the snap size depending on how zoomed in you are.
#  It is setup for imperial units.
#  
class MyViewObserver < Sketchup::ViewObserver
	def onViewChanged(view)
		model = Sketchup.active_model
		manager = model.options
		provider = manager['UnitsOptions']
		view = Sketchup.active_model.active_view
		target = view.guess_target
		size = view.pixels_to_model 20, target
		size = size.to_f
		if size >= 120
			snapsize = 120
		elsif size >= 60
			snapsize = 60
		elsif size >= 12
			snapsize = 12
		elsif size >= 6
			snapsize = 6
		elsif size >= 1
			snapsize = 1
		elsif size >= 0.5
			snapsize = 0.5
		elsif size >= 0.25
			snapsize = 0.25
		else size >= 0.125
			snapsize = 0.125
		end
        setsnapsize = provider['LengthSnapLength']=snapsize

     end
end

     # Attach the observer.
     Sketchup.active_model.active_view.add_observer(MyViewObserver.new)